Taslak Yay

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Arc and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Önceki sayfa: Draft Circle.svg Circle
Sonraki sayfa: Arc 3Points Draft Arc 3Points.svg Arrow-right.svg

Draft Arc.svg Yay

Menü konumu
Taslak → Yay
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
A R
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Çember,Elips

Açıklama

Yay aracı, geçerli Çalışma düzlemi içinde dört nokta, merkez, yarıçap, ilk nokta ve son nokta girerek ya da teğetleri toplayarak ya da bunların herhangi bir bileşimini girerek bir yay oluşturur. Görevler sekmesinde önceden ayarlanmış olan Çizgi stili alır. Bu araç, Çember aracıyla aynı şekilde çalışır, ancak başlangıç ve bitiş açılarını ekler.

A Draft Arc is in fact a Draft Circle with a VeriFirst Angle that is not the same as its VeriLast Angle.

Draft Arc example.jpg

Yay; merkez, yarıçap, ​​yay başlangıç noktası ve yay son noktasıolarak dört noktada tanımlanır.

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Nasıl kullanılır

  1. Draft Arc.png Yay düğmesine basınız veya A ve R tuşlarına basınız.
  2. 3D görünümünde bir ilk noktaya tıklayın veya bir Koordinat yazın ve Draft AddPoint.svg add point basın
  3. 3D görünümünde ikinci bir noktaya tıklayın veya bir yarıçap değeri girin
  4. 3D görünümünde üçüncü bir noktaya tıklayın veya bir başlangıç açısı girin
  5. 3D Görünümünde dördüncü bir noktaya tıklayın veya bitiş sonunu girin

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Seçenekler

  • Yay aracının birincil kullanımı dört nokta seçmektir: merkez, çevre üzerinde bir nokta, yayın başlangıcı ve bitişi.
    • Alt tuşuna basarak arkın temel çemberini tanımlamak için toplama noktası yerine bir teğet seçebilirsiniz. Bu nedenle, bir, iki veya üç teğet seçerek birkaç daire tipi oluşturabilirsiniz.
  • Yay yönü, farenizle yaptığınız harekete bağlıdır. Üçüncü nokta girildikten sonra saat yönünde hareket etmeye başlarsanız, yayınız saat yönünde gider. Saat yönünün tersine gitmek için, farenizi yay diğer yöne çekmeye başlayana kadar üçüncü noktanın üzerine getirin.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Devam moduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, yay aracı, yayı bitirdikten sonra yeniden başlatılır ve takım düğmesine tekrar basmadan bir tane daha çizmenize olanak sağlar.
  • snapping noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • Ortaya göre noktanızı yatay veya dikey olarak constrain öğesine çizerken Shift tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Kapat düğmesine basınız.

Notes

Ağaç görünümündeki öğeye çift tıklayarak veya Draft Edit.svg Düzenle düğmesine basılarak ark düzenlenebilir. Ardından merkez noktasını yeni bir konuma taşıyabilirsiniz.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, radii and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

Özellikleri

Bir yay nesnesi Çember 'in tüm özelliklerini paylaşır, ancak bazı özellikler sadece çember için geçerlidir.

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Yay aracı, makrolar ve Python konsolundan ek argümanlarla çember oluşturmak için aynı işlevle kullanılabilir. İçindeki bilgilere bakın Daire.

Örnek:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()


Arrow-left.svg Önceki sayfa: Draft Circle.svg Circle
Sonraki sayfa: Arc 3Points Draft Arc 3Points.svg Arrow-right.svg